Subject: Re: [PATCH] l10n: fr.po unfuzzy commented entries

From: Jean-Noël AVILA <[email-masked]>
Date: Tue, 26 Feb 2019 21:38:43 +0100

On Monday, 25 February 2019 23:42:11 CET Ævar Arnfjörð Bjarmason wrote:
> 
> On Mon, Feb 25 2019, Jean-Noël Avila wrote:
> 
> > The 0.14.4 gettext release was back in 2005, so presumably this is due
> > to some GPLv3 allergy of NetBSD's. The OS version itself is 7.1,
> > released a couple of years ago.
> 
> So this one pargaraph of commit message is just a paragraph from my
> E-Mail upthread, but out of context it's just confusing.
> 

Yes. More explanation.

> > -#, fuzzy
> > +#
> >  #~| msgid "git archive [<options>] <tree-ish> [<path>...]"
> >  #~ msgid "git diff --no-index [<options>] <path> <path>"
> >  #~ msgstr "git archive [<options>] <arbre ou apparenté> [<chemin>...]"
> 
> This still results in the same issue. Sorry, by "unfuzzying" I thought
> you meant change these translations so they'd no longer be commented out
> and would actually have a translation.
> 

The thing is that there isn't two msgid lines, the first one being the previous value.

> The problem is that there's two msgid lines, so e.g. this on top of
> yours "fixes" it:
> 
>      #
>     -#~| msgid "git archive [<options>] <tree-ish> [<path>...]"
>      #~ msgid "git diff --no-index [<options>] <path> <path>"
>      #~ msgstr "git archive [<options>] <arbre ou apparenté> [<chemin>...]"
> 
> But isn't a better fix on top of master just:
> 
>     sed -i '22477,$ d' po/fr.po
> 
> That results in 1500 lines removed from the end. I.e. what's the point
> of keeping those old now-unused translations around?

They can still be used as a translation memory for future approximate translations.

But, I guess it's safer to keep the translation memory out of this repo.

Will do.